DatatypeConfigurationException (Java Platform SE 8 )
Keywords: javax.xml.datatype.DatatypeConfigurationException class
Date: 2016-12-09

compact2, compact3
javax.xml.datatype

## Class DatatypeConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.datatype.DatatypeConfigurationException

- All Implemented Interfaces:
    Serializable

      public class DatatypeConfigurationException
      extends Exception

  Indicates a serious configuration error.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatatypeConfigurationException()` Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.
    `DatatypeConfigurationException(String message)` Create a new `DatatypeConfigurationException` with the specified detail message.
    `DatatypeConfigurationException(String message, Throwable cause)` Create a new `DatatypeConfigurationException` with the specified detail message and cause.
    `DatatypeConfigurationException(Throwable cause)` Create a new `DatatypeConfigurationException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException()

      Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException(String message)

      Create a new `DatatypeConfigurationException` with the specified detail message.

      Parameters:
        `message` - The detail message.

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException(String message,
                                                Throwable cause)

      Create a new `DatatypeConfigurationException` with the specified detail message and cause.

      Parameters:
        `message` - The detail message.
        `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException(Throwable cause)

      Create a new `DatatypeConfigurationException` with the specified cause.

      Parameters:
        `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.